<?php

if (!defined('IN_PHPBB'))
{
	exit;
}

// Set update info with file structure to update
$update_info = array(
	'version'	=> array('from' => '3.1.0-RC3', 'to' => '3.1.0-RC5'),
	'files'		=> array(
		'adm/style/acp_attachments.html',
		'adm/style/acp_captcha.html',
		'adm/style/acp_inactive.html',
		'adm/style/acp_logs.html',
		'adm/style/acp_main.html',
		'adm/style/admin.css',
		'adm/style/ajax.js',
		'adm/style/timezone_option.html',
		'assets/javascript/core.js',
		'assets/javascript/editor.js',
		'composer.json',
		'composer.lock',
		'config/auth.yml',
		'config/avatar.yml',
		'config/captcha.yml',
		'config/content.yml',
		'config/cron.yml',
		'config/db.yml',
		'config/event.yml',
		'config/mimetype_guesser.yml',
		'config/notification.yml',
		'config/parameters.yml',
		'config/password.yml',
		'config/profilefield.yml',
		'config/services.yml',
		'config/tables.yml',
		'config/user.yml',
		'download/file.php',
		'feed.php',
		'includes/acp/acp_ban.php',
		'includes/acp/acp_board.php',
		'includes/acp/acp_database.php',
		'includes/acp/acp_icons.php',
		'includes/acp/acp_profile.php',
		'includes/acp/acp_styles.php',
		'includes/acp/acp_users.php',
		'includes/acp/info/acp_styles.php',
		'includes/compatibility_globals.php',
		'includes/constants.php',
		'includes/functions.php',
		'includes/functions_acp.php',
		'includes/functions_admin.php',
		'includes/functions_compatibility.php',
		'includes/functions_compress.php',
		'includes/functions_content.php',
		'includes/functions_display.php',
		'includes/functions_download.php',
		'includes/functions_mcp.php',
		'includes/functions_posting.php',
		'includes/functions_privmsgs.php',
		'includes/functions_transfer.php',
		'includes/functions_upload.php',
		'includes/functions_user.php',
		'includes/mcp/mcp_ban.php',
		'includes/mcp/mcp_front.php',
		'includes/mcp/mcp_main.php',
		'includes/mcp/mcp_pm_reports.php',
		'includes/mcp/mcp_queue.php',
		'includes/mcp/mcp_reports.php',
		'includes/mcp/mcp_warn.php',
		'includes/ucp/ucp_activate.php',
		'includes/ucp/ucp_attachments.php',
		'includes/ucp/ucp_main.php',
		'includes/ucp/ucp_notifications.php',
		'includes/ucp/ucp_pm_compose.php',
		'includes/ucp/ucp_pm_options.php',
		'includes/ucp/ucp_pm_viewfolder.php',
		'includes/ucp/ucp_pm_viewmessage.php',
		'includes/ucp/ucp_prefs.php',
		'includes/ucp/ucp_register.php',
		'language/en/acp/board.php',
		'language/en/acp/email.php',
		'language/en/acp/profile.php',
		'language/en/cli.php',
		'language/en/common.php',
		'language/en/posting.php',
		'language/en/search.php',
		'language/en/ucp.php',
		'memberlist.php',
		'phpbb/auth/provider/oauth/oauth.php',
		'phpbb/cache/driver/memory.php',
		'phpbb/console/command/cache/purge.php',
		'phpbb/console/command/db/migrate.php',
		'phpbb/console/command/extension/show.php',
		'phpbb/controller/helper.php',
		'phpbb/controller/provider.php',
		'phpbb/datetime.php',
		'phpbb/db/migration/data/v310/notifications_use_full_name.php',
		'phpbb/db/migration/data/v310/profilefield_field_validation_length.php',
		'phpbb/db/migration/data/v310/rc4.php',
		'phpbb/db/migration/data/v310/rc5.php',
		'phpbb/db/migration/data/v310/remove_acp_styles_cache.php',
		'phpbb/db/migrator.php',
		'phpbb/db/tools.php',
		'phpbb/di/container_builder.php',
		'phpbb/extension/base.php',
		'phpbb/feed/forum.php',
		'phpbb/feed/news.php',
		'phpbb/feed/overall.php',
		'phpbb/feed/topic.php',
		'phpbb/feed/topics.php',
		'phpbb/feed/topics_active.php',
		'phpbb/mimetype/guesser.php',
		'phpbb/notification/manager.php',
		'phpbb/notification/method/email.php',
		'phpbb/notification/method/jabber.php',
		'phpbb/notification/type/admin_activate_user.php',
		'phpbb/notification/type/approve_post.php',
		'phpbb/notification/type/approve_topic.php',
		'phpbb/notification/type/bookmark.php',
		'phpbb/notification/type/disapprove_post.php',
		'phpbb/notification/type/disapprove_topic.php',
		'phpbb/notification/type/group_request.php',
		'phpbb/notification/type/group_request_approved.php',
		'phpbb/notification/type/pm.php',
		'phpbb/notification/type/post.php',
		'phpbb/notification/type/post_in_queue.php',
		'phpbb/notification/type/quote.php',
		'phpbb/notification/type/report_pm.php',
		'phpbb/notification/type/report_pm_closed.php',
		'phpbb/notification/type/report_post.php',
		'phpbb/notification/type/report_post_closed.php',
		'phpbb/notification/type/topic.php',
		'phpbb/notification/type/topic_in_queue.php',
		'phpbb/pagination.php',
		'phpbb/path_helper.php',
		'phpbb/profilefields/manager.php',
		'phpbb/profilefields/type/type_base.php',
		'phpbb/profilefields/type/type_string_common.php',
		'phpbb/session.php',
		'phpbb/template/base.php',
		'phpbb/template/twig/twig.php',
		'phpbb/user.php',
		'phpbb/user_loader.php',
		'posting.php',
		'report.php',
		'search.php',
		'styles/prosilver/style.cfg',
		'styles/prosilver/template/ajax.js',
		'styles/prosilver/template/forum_fn.js',
		'styles/prosilver/template/forumlist_body.html',
		'styles/prosilver/template/jumpbox.html',
		'styles/prosilver/template/mcp_warn_post.html',
		'styles/prosilver/template/mcp_warn_user.html',
		'styles/prosilver/template/memberlist_im.html',
		'styles/prosilver/template/memberlist_view.html',
		'styles/prosilver/template/message_body.html',
		'styles/prosilver/template/overall_footer.html',
		'styles/prosilver/template/overall_header.html',
		'styles/prosilver/template/pagination.html',
		'styles/prosilver/template/posting_editor.html',
		'styles/prosilver/template/posting_pm_header.html',
		'styles/prosilver/template/search_results.html',
		'styles/prosilver/template/simple_header.html',
		'styles/prosilver/template/timezone.js',
		'styles/prosilver/template/timezone_option.html',
		'styles/prosilver/template/ucp_attachments.html',
		'styles/prosilver/template/ucp_pm_viewmessage.html',
		'styles/prosilver/template/viewforum_body.html',
		'styles/prosilver/template/viewonline_whois.html',
		'styles/prosilver/template/viewtopic_body.html',
		'styles/prosilver/template/viewtopic_topic_tools.html',
		'styles/prosilver/theme/bidi.css',
		'styles/prosilver/theme/buttons.css',
		'styles/prosilver/theme/colours.css',
		'styles/prosilver/theme/common.css',
		'styles/prosilver/theme/content.css',
		'styles/prosilver/theme/cp.css',
		'styles/prosilver/theme/forms.css',
		'styles/prosilver/theme/links.css',
		'styles/prosilver/theme/plupload.css',
		'styles/prosilver/theme/responsive.css',
		'styles/prosilver/theme/tweaks.css',
		'styles/subsilver2/style.cfg',
		'styles/subsilver2/template/forumlist_body.html',
		'styles/subsilver2/template/mcp_warn_post.html',
		'styles/subsilver2/template/mcp_warn_user.html',
		'styles/subsilver2/template/overall_header.html',
		'styles/subsilver2/template/simple_header.html',
		'styles/subsilver2/template/timezone_option.html',
		'styles/subsilver2/template/ucp_attachments.html',
		'styles/subsilver2/template/ucp_header.html',
		'styles/subsilver2/template/viewforum_body.html',
		'styles/subsilver2/template/viewtopic_body.html',
		'viewforum.php',
		'viewonline.php',
		'viewtopic.php',
		'styles/prosilver/theme/images/icons_button.png',
		'styles/prosilver/theme/images/plupload/done.gif',
		'styles/prosilver/theme/images/plupload/error.gif',
		'styles/prosilver/theme/images/plupload/throbber.gif',
	),
	'binary'		=> array(
		'assets/plupload/img/done.gif',
		'assets/plupload/img/error.gif',
		'assets/plupload/img/throbber.gif',
		'styles/prosilver/theme/images/created_by.jpg',
		'styles/prosilver/theme/images/icons_button.png',
		'styles/prosilver/theme/images/plupload/done.gif',
		'styles/prosilver/theme/images/plupload/error.gif',
		'styles/prosilver/theme/images/plupload/throbber.gif',
	),
	'deleted'		=> array(
		'assets/plupload/img/done.gif',
		'assets/plupload/img/throbber.gif',
		'assets/plupload/img/error.gif',
		'config/auth_providers.yml',
		'config/avatars.yml',
		'config/cron_tasks.yml',
		'config/migrator.yml',
		'config/mimetype_guessers.yml',
		'config/notifications.yml',
		'config/passwords.yml',
		'config/profilefields.yml',
		'phpbb/di/pass/kernel_pass.php',
		'phpbb/event/extension_subscriber_loader.php',
		'styles/prosilver/theme/images/created_by.jpg',
	),
);
